<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context="com.zxhy.hfilemanagermaster.manager.ManagerFragment">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_top"
        android:layout_width="match_parent"
        android:layout_height="299dp"
        android:background="@mipmap/dda_88985"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/tv_l"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:layout_marginTop="60dp"
            android:text="Use storage"
            android:textAllCaps="false"
            android:textSize="15sp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="HardcodedText" />

        <TextView
            android:id="@+id/tv_use"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:textColor="#333333"
            android:textSize="20sp"
            android:textStyle="bold"
            app:layout_constraintLeft_toLeftOf="@id/tv_l"
            app:layout_constraintRight_toRightOf="@id/tv_l"
            app:layout_constraintTop_toBottomOf="@+id/tv_l" />

        <TextView
            android:id="@+id/tv_r"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="60dp"
            android:layout_marginEnd="20dp"
            android:text="Free Storage"
            android:textAllCaps="false"
            android:textSize="15sp"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="HardcodedText" />

        <TextView
            android:id="@+id/tv_free"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:textColor="#333333"
            android:textSize="20sp"
            android:textStyle="bold"
            app:layout_constraintLeft_toLeftOf="@id/tv_r"
            app:layout_constraintRight_toRightOf="@id/tv_r"
            app:layout_constraintTop_toBottomOf="@+id/tv_r" />

        <com.zxhy.hfilemanagermaster.widget.IndicatorView
            android:id="@+id/indicatorView"
            android:layout_width="350dp"
            android:layout_height="159dp"
            android:layout_marginHorizontal="20dp"
            android:background="@mipmap/ee_98985"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <TextView
        android:id="@+id/tv_manage"
        android:layout_width="0dp"
        android:layout_height="40dp"
        android:layout_marginHorizontal="52dp"
        android:layout_marginTop="28dp"
        android:background="@mipmap/lopp_89956"
        android:gravity="center"
        android:text="Manage"
        android:textColor="#FFFFFF"
        android:textSize="17sp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cl_top"
        tools:ignore="HardcodedText" />

    <TextView
        android:id="@+id/tv_tool"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="19dp"
        android:text="Tool"
        android:textColor="#333333"
        android:textSize="17sp"
        android:textStyle="bold"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_manage"
        tools:ignore="HardcodedText,RtlHardcoded" />

    <androidx.cardview.widget.CardView
        android:id="@+id/cardView1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        app:cardCornerRadius="8dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@id/cardView2"
        app:layout_constraintTop_toBottomOf="@id/tv_tool">

        <ImageView
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:layout_gravity="center"
            android:layout_marginHorizontal="32dp"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="12dp"
            android:layout_marginBottom="26dp"
            android:importantForAccessibility="no"
            android:src="@mipmap/ff_96532"
            tools:ignore="RtlHardcoded" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal|bottom"
            android:layout_marginBottom="8dp"
            android:text="Duplicate picture"
            android:textAllCaps="false"
            android:textColor="#333333"
            android:textSize="12sp"
            android:textStyle="bold"
            tools:ignore="HardcodedText" />


    </androidx.cardview.widget.CardView>

    <androidx.cardview.widget.CardView
        android:id="@+id/cardView2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        app:cardCornerRadius="8dp"
        app:layout_constraintLeft_toRightOf="@id/cardView1"
        app:layout_constraintRight_toLeftOf="@id/cardView3"
        app:layout_constraintTop_toBottomOf="@id/tv_tool">

        <ImageView
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:layout_gravity="center"
            android:layout_marginHorizontal="32dp"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="12dp"
            android:layout_marginBottom="26dp"
            android:importantForAccessibility="no"
            android:src="@mipmap/dd_8989"
            tools:ignore="RtlHardcoded" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal|bottom"
            android:layout_marginBottom="8dp"
            android:text="Scan large files"
            android:textAllCaps="false"
            android:textColor="#333333"
            android:textSize="12sp"
            android:textStyle="bold"
            tools:ignore="HardcodedText" />
    </androidx.cardview.widget.CardView>

    <androidx.cardview.widget.CardView
        android:id="@+id/cardView3"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        app:cardCornerRadius="8dp"
        app:layout_constraintLeft_toRightOf="@id/cardView2"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_tool">

        <ImageView
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:layout_gravity="center"
            android:layout_marginHorizontal="32dp"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="12dp"
            android:layout_marginBottom="26dp"
            android:importantForAccessibility="no"
            android:src="@mipmap/rt_859"
            tools:ignore="RtlHardcoded" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal|bottom"
            android:layout_marginBottom="8dp"
            android:text="Scan empty files"
            android:textAllCaps="false"
            android:textColor="#333333"
            android:textSize="12sp"
            android:textStyle="bold"
            tools:ignore="HardcodedText" />
    </androidx.cardview.widget.CardView>

    <TextView
        android:id="@+id/tv_document"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginTop="24dp"
        android:text="Document"
        android:textAllCaps="false"
        android:textSize="17sp"
        android:textStyle="bold"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cardView1"
        tools:ignore="HardcodedText" />

    <androidx.cardview.widget.CardView
        android:id="@+id/cardView4"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="16dp"
        android:layout_marginTop="12dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_document">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:id="@+id/ll_file"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginVertical="12dp"
                android:layout_marginStart="16dp"
                android:orientation="vertical"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintHorizontal_chainStyle="spread_inside"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toLeftOf="@id/ll_word"
                app:layout_constraintTop_toTopOf="parent">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="All Files"
                    android:textAllCaps="false"
                    android:textColor="#333333"
                    android:textSize="12sp"
                    tools:ignore="HardcodedText" />

                <ImageView
                    android:id="@+id/iv_file"
                    android:layout_width="40dp"
                    android:layout_height="35dp"
                    android:layout_gravity="center"
                    android:layout_marginTop="8dp"
                    android:src="@mipmap/tt_695"
                    tools:ignore="ContentDescription" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_word"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginVertical="12dp"
                android:orientation="vertical"
                app:layout_constraintLeft_toRightOf="@id/ll_file"
                app:layout_constraintRight_toLeftOf="@id/ll_excel"
                app:layout_constraintTop_toTopOf="parent">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:text="Word"
                    android:textAllCaps="false"
                    android:textColor="#333333"
                    android:textSize="12sp"
                    tools:ignore="HardcodedText" />

                <ImageView
                    android:id="@+id/iv_word"
                    android:layout_width="40dp"
                    android:layout_height="35dp"
                    android:layout_gravity="center"
                    android:layout_marginTop="8dp"
                    android:src="@mipmap/io_002"
                    tools:ignore="ContentDescription" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_excel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginVertical="12dp"
                android:orientation="vertical"
                app:layout_constraintLeft_toRightOf="@id/ll_word"
                app:layout_constraintRight_toLeftOf="@id/ll_pdf"
                app:layout_constraintTop_toTopOf="parent">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:text="Excel"
                    android:textAllCaps="false"
                    android:textColor="#333333"
                    android:textSize="12sp"
                    tools:ignore="HardcodedText" />

                <ImageView
                    android:id="@+id/iv_excel"
                    android:layout_width="40dp"
                    android:layout_height="35dp"
                    android:layout_gravity="center"
                    android:layout_marginTop="8dp"
                    android:src="@mipmap/as_85230"
                    tools:ignore="ContentDescription" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_pdf"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginVertical="12dp"
                android:orientation="vertical"
                app:layout_constraintLeft_toRightOf="@id/ll_excel"
                app:layout_constraintRight_toLeftOf="@id/ll_ppt"
                app:layout_constraintTop_toTopOf="parent">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:text="PDF"
                    android:textAllCaps="false"
                    android:textColor="#333333"
                    android:textSize="12sp"
                    tools:ignore="HardcodedText" />

                <ImageView
                    android:id="@+id/iv_pdf"
                    android:layout_width="40dp"
                    android:layout_height="35dp"
                    android:layout_gravity="center"
                    android:layout_marginTop="8dp"
                    android:src="@mipmap/io_0012"
                    tools:ignore="ContentDescription" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_ppt"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginVertical="12dp"
                android:layout_marginEnd="16dp"
                android:orientation="vertical"
                app:layout_constraintLeft_toRightOf="@id/ll_pdf"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:text="PPT"
                    android:textAllCaps="false"
                    android:textColor="#333333"
                    android:textSize="12sp"
                    tools:ignore="HardcodedText" />

                <ImageView
                    android:id="@+id/iv_ppt"
                    android:layout_width="40dp"
                    android:layout_height="35dp"
                    android:layout_gravity="center"
                    android:layout_marginTop="8dp"
                    android:src="@mipmap/io_002223"
                    tools:ignore="ContentDescription" />
            </LinearLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.cardview.widget.CardView>

</androidx.constraintlayout.widget.ConstraintLayout>